import Moment from 'moment';
import React from 'react';
import {
  Animated,
  Image,
  ImageBackground,
  Modal,
  SafeAreaView,
  ScrollView,
  TextInput,
  TouchableOpacity,
  View,
} from 'react-native';
import Alert from 'react-native-awesome-alerts';
import {GestureHandlerRootView, Swipeable} from 'react-native-gesture-handler';
import {Menu, MenuItem} from 'react-native-material-menu';
import DateTimePickerModal from 'react-native-modal-datetime-picker';
import SelectDropdown from 'react-native-select-dropdown';
import Swiper from 'react-native-swiper';
import AppText from '../../../components/AppText';
import ButtonComponent from '../../../components/ButtonComponent';
import TextInputComponent from '../../../components/TextInputComponent';
import {
  IMAGES,
  IcNotificationList,
  IconProfile,
  IconSocial,
} from '../../../values/images';
import {default as string, default as strings} from '../../../values/string';
import styles from '../style';
import colors from '../../../values/colors';
import config from '../../../config';
import IntroduceUser from './components/IntroduceUser';
import GeneralInformation from './components/GeneralInformation';
import PersonalInformation from './components/PersonalInformation';
import DetailInformation from './components/DetailInformation';
const Socials = [
  'FACEBOOK',
  'EMAIL',
  'SKYPE',
  'LINKEDIN',
  'TWITTER',
  'INSTAGRAM',
  'WHATSAPP',
  'VIPER',
  'SNAPCHAT',
  'TELEGRAM',
  'APPLE',
  'YOUTUBE',
  'PINTEREST',
];
const gender = ['Nam', 'Nữ'];

const ProfileMainView = ({
  userInfo,
  contactUser,
  btnAvailable,
  isEditField,
  navigateMain,
  setEditField,
  setBtnAvailable,
  infoUser,
  setInfoUser,
  onSaveInfo,
  avatar = [],
  onDeniedAvatar,
  onConfirmAvatar,
  showMenu,
  hideMenu,
  visibleMenu,
  openGallery,
  isSlideShow,
  showFullScreen,
  hideFullScreen,
  dateTimePicker,
  hideDateTimePicker,
  setDateTimePicker,
  showAlert,
  onSubmitChangeContactUser,
  onChangeDropDownContactUser,
  onChangeInputContactUser,
  onPressDeleteItem,
  onPressAddItem,
  onCancelAlert,
  modalVisible,
  setModalVisible,
  setUserInputContact,
  userInputContact,
  onSubmitCreateNew,
  onConfirmDeleteAlert,
  navigateToLogout,
  onChangeCoverAvatar,
  introduceUserProps,
}) => {
  return (
    <SafeAreaView style={styles.container}>
      <ScrollView nestedScrollEnabled={true}>
        <IntroduceUser {...introduceUserProps} />

        {/* General information  */}
        <GeneralInformation userInfo={userInfo} />
        {/* personal information  */}
        <PersonalInformation userInfo={userInfo} />
        {/* detail information  */}
        <DetailInformation userInfo={userInfo} />
        {/* Logout Btn */}
        <View
          style={{
            justifyContent: 'center',
            alignItems: 'center',
            marginTop: 10,
          }}>
          <ButtonComponent
            text={'Đăng xuất'}
            style={{marginBottom: 10, flexDirection: 'row'}}
            rightIcon={IMAGES.IcLogout}
            styleIcon={{width: 20, height: 20, marginLeft: 10}}
            onPress={navigateToLogout}
          />
        </View>
        {/* <View style={styles.centeredView}>
          <Modal
            animationType="slide"
            transparent={true}
            visible={modalVisible}
            onRequestClose={() => {
              Alert.alert('Modal has been closed.');
              setModalVisible(!modalVisible);
            }}>
            <View style={styles.centeredView}>
              <View style={styles.modalView}>
                <View style={{flexDirection: 'row'}}>
                  <View style={{flex: 1}}>
                    <SelectDropdown
                      data={Socials}
                      dropdownIconPosition={'right'}
                      defaultButtonText={'Loại liên hệ'}
                      buttonStyle={styles.dropdown1BtnStyle}
                      onSelect={(selectedItem, item_index) =>
                        setUserInputContact(prev => ({
                          ...prev,
                          type: selectedItem,
                        }))
                      }
                      dropdownStyle={styles.dropdown1DropdownStyle}
                      rowStyle={styles.dropdown1RowStyle}
                      rowTextStyle={styles.dropdown1RowTxtStyle}
                      buttonTextStyle={styles.dropdown1BtnTxtStyle}
                      renderDropdownIcon={isOpened => {
                        return (
                          <Image
                            source={
                              isOpened ? IMAGES.IcUpArrow : IMAGES.IcDownArrow
                            }
                            style={{width: 20, height: 20}}
                          />
                        );
                      }}
                    />
                    {userInputContact.type.length <= 0 && (
                      <AppText style={{fontSize: 12, color: 'red'}}>
                        {' '}
                        Vui lòng chọn liên hệ
                      </AppText>
                    )}
                  </View>
                  <View style={{flex: 1}}>
                    <TextInput
                      style={{borderBottomWidth: 0.2}}
                      placeholder={'Nhập F'}
                      keyboardType={'email-address'}
                      autoCapitalize="none"
                      value={userInputContact.text}
                      onChangeText={text =>
                        setUserInputContact(prev => ({
                          ...prev,
                          text: text,
                        }))
                      }
                    />
                    {userInputContact.text.length <= 0 && (
                      <AppText style={{fontSize: 12, color: 'red'}}>
                        {' '}
                        Vui lòng nhập liên hệ
                      </AppText>
                    )}
                  </View>
                </View>
                <View style={{flexDirection: 'row', marginTop: 20}}>
                  <ButtonComponent
                    text={'Đóng'}
                    textStyle={styles.textStyle}
                    style={[
                      styles.button,
                      styles.buttonClose,
                      {marginRight: 15},
                    ]}
                    onPress={() => setModalVisible(!modalVisible)}
                  />
                  <ButtonComponent
                    text={'Thêm mới'}
                    textStyle={styles.textStyle}
                    style={[styles.button, styles.buttonClose]}
                    onPress={onSubmitCreateNew}
                  />
                </View>
              </View>
            </View>
          </Modal>
        </View> */}
      </ScrollView>
    </SafeAreaView>
  );
};

export default ProfileMainView;
